Skip to content

Lan Multicast (Template) ​

4 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getGridLanMulticastTemplatesGETGet lan multicast template list
createLanMulticastTemplatePOSTCreate new lan multicast template
deleteLanMulticastTemplateDELETEDelete an existing lan multicast template
modifyLanMulticastTemplatePATCHModify a lan multicast template

getGridLanMulticastTemplates ​

GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts

Get lan multicast template list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridLanMulticastTemplates",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  }
}
Details, permissions and error codes

Get lan multicast template list
The interface requires one of the permissions:
Global Site Template Manager View Only

createLanMulticastTemplate ​

POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts

Create new lan multicast template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID

Request body — application/json (required) — schema LanMulticastVO

FieldTypeRequiredDescription
idstringnoThe primary id of the multicast snooping.
namestringnoThe name of the multicast snooping.
networksarray<NetworkVO>noThe collection of snooping network ids related to this multicast snooping config.
protocolintegernoWhen multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type.
unknownMulticastRuleintegernoWhen it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first.
unknownMulticastExceptDeviceUnknownMulticastConfigVOno(UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO")
floodKnownEnablebooleannoWhether open flood known protocols.
querierEnablebooleannoWhether open querier.
routerPortEnablebooleannoWhether open manual router port config.
resourceintegernoresource
routerPortsarray<RouterPortVO>noThe specific list of router ports info,including network, devices and the ports on them.
snoopConfigSnoopConfigVOno(SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO")
igmpQueriersarray<IgmpConfigVO>noThe querier configs for IGMP snooping(ipv4).
mldQueriersarray<MldConfigVO>noThe querier configs for MLD snooping(ipv6).
json
// omada_call_operation
{
  "operationId": "createLanMulticastTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Create new lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.

deleteLanMulticastTemplate ​

DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts/{multicastId}

Delete an existing lan multicast template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
multicastIdpathstringyeslanMulticastId
json
// omada_call_operation
{
  "operationId": "deleteLanMulticastTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "multicastId": "<multicastId>"
  }
}
Details, permissions and error codes

Delete an existing lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.

modifyLanMulticastTemplate ​

PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/lan-multicasts/{multicastId}

Modify a lan multicast template

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteTemplateIdpathstringyesSite Template ID
multicastIdpathstringyeslanMulticastId

Request body — application/json (required) — schema LanMulticastVO

FieldTypeRequiredDescription
idstringnoThe primary id of the multicast snooping.
namestringnoThe name of the multicast snooping.
networksarray<NetworkVO>noThe collection of snooping network ids related to this multicast snooping config.
protocolintegernoWhen multicast snooping value 0,then represents the IGMP snooping type,else if value 1,then represents MLD snooping type.
unknownMulticastRuleintegernoWhen it selects 0,then send forward, it selects 1,then discard info, it selects 2,then route port first.
unknownMulticastExceptDeviceUnknownMulticastConfigVOno(UnknownMulticastConfigVO not expanded; call omada_get_schema "UnknownMulticastConfigVO")
floodKnownEnablebooleannoWhether open flood known protocols.
querierEnablebooleannoWhether open querier.
routerPortEnablebooleannoWhether open manual router port config.
resourceintegernoresource
routerPortsarray<RouterPortVO>noThe specific list of router ports info,including network, devices and the ports on them.
snoopConfigSnoopConfigVOno(SnoopConfigVO not expanded; call omada_get_schema "SnoopConfigVO")
igmpQueriersarray<IgmpConfigVO>noThe querier configs for IGMP snooping(ipv4).
mldQueriersarray<MldConfigVO>noThe querier configs for MLD snooping(ipv6).
json
// omada_call_operation
{
  "operationId": "modifyLanMulticastTemplate",
  "params": {
    "siteTemplateId": "<siteTemplateId>",
    "multicastId": "<multicastId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Modify a lan multicast template
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
0 - Success.
-1001 - Invalid request parameters.
-33011 - Operation failed because other operations are being performed on this site template. Please wait and try again later.
-39900 - This multicast snooping entry does not exist.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.